Package Gnumed :: Package wxpython :: Package gui :: Module gmDataMiningPlugin :: Class gmDataMiningPlugin |
[frames] | no frames]

# Class gmDataMiningPlugin

source code

    gmPlugin.cNotebookPlugin --+
                               |
                              gmDataMiningPlugin

Plugin to encapsulate a simple data mining window.

Instance Methods
__init__(self) | source code
name(self) | source code
GetWidget(self, parent) | source code
MenuInfo(self) Return tuple of (menuname, menuitem). | source code
can_receive_focus(self) Called when this plugin is *about to* receive focus. | source code
Inherited from `gmPlugin.cNotebookPlugin`: `OnShow`, `Raise`, `on_load`, `receive_focus`, `register`, `unregister`

Class Variables
| tab_name = `_('Reports')`

Method Details

### __init__(self) (Constructor) | source code
Overrides: gmPlugin.cNotebookPlugin.__init__

### name(self) | source code
Overrides: gmPlugin.cNotebookPlugin.name

### MenuInfo(self) | source code
Return tuple of (menuname, menuitem). None: no menu entry wanted Overrides: gmPlugin.cNotebookPlugin.MenuInfo (inherited documentation)

### can_receive_focus(self) | source code
Called when this plugin is *about to* receive focus. If None returned from here (or from overriders) the plugin activation will be veto()ed (if it can be). Overrides: gmPlugin.cNotebookPlugin.can_receive_focus (inherited documentation)